# Class SlowHC4SocketFactory

PlainSocketFactory
org.apache.jmeter.protocol.http.util.SlowHC4SocketFactory

public class SlowHC4SocketFactory extends PlainSocketFactory
Apache HttpClient protocol factory to generate "slow" sockets for emulating dial-up modems

## Constructor Summary

Constructors
Constructor
Description
`SlowHC4SocketFactory(int cps)`
Create a factory

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket()`
`Socket`
`createSocket(HttpParams params)`

## Constructor Details

### SlowHC4SocketFactory

public SlowHC4SocketFactory(int cps)
Create a factory

Parameters:
  `cps` - - characters per second

## Method Details

### createSocket

public Socket createSocket(HttpParams params)

### createSocket

public Socket createSocket()